Bug 166973 - Upgrade fails on multipath RAID devices
Upgrade fails on multipath RAID devices
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 06:14 EDT by Victoriano Giralt
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 14:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victoriano Giralt 2005-08-29 06:14:18 EDT
Description of problem:
Upgrading a system on a multipath RAID array, created on RHEL-3-es, fails
completelly. It is necesary to remove the labels from the filesystems and alter
fstab for the installation to proceed.

Version-Release number of selected component (if applicable):
RHES-4 installation CD

How reproducible:
Always

Steps to Reproduce:
1. Create a multipath RAID with RHES-3 on it.
2. Try to upgrade.
3. Installation compalints about duplicate labels.
  
Actual results:
Can't upgrade without putting system upside down.

Expected results:
Usual smooth upgrade.

Additional info:
Comment 1 Jeremy Katz 2005-08-30 14:54:00 EDT
anaconda doesn't have any support for multipath, so to do an upgrade, you have
to get down to a single path situation.
Comment 2 Victoriano Giralt 2005-08-30 17:32:36 EDT
(In reply to comment #1)
> anaconda doesn't have any support for multipath, so to do an upgrade, you have
> to get down to a single path situation.

I've already deduced that. Turning back to a single path situation is not a nice
task in a complex environment like a blade center conected to a Fibre Channel
fabric, and it would be nicer to your paying customers, and probably easier, to
get multipath into the installer kernel and some intelligence, rather than
forcing your customers to downgrade a perfectly functional system.

Note You need to log in before you can comment on or make changes to this bug.